Forward Expedited LTL Web Services

API Services Home

Forward Air Position Retrieval Rest Services

Rest Service to get position of shipments.

Service URL

Name Service URL Additional details
Rest ${baseUrl}/ltlservices/v2/rest/shipments/{id}/positions Example test url: https://test-api.forwardair.com/ltlservices/v2/rest/shipments/ALB-472-90440614-00/positions
Rest (current position only) ${baseUrl}/ltlservices/v2/rest/shipments/{id}/positions/current Example test url: https://test-api.forwardair.com/ltlservices/v2/rest/shipments/ALB-472-90440614-00/positions/current

Rest Service statuses

Request Parameters
Name Type Required Description
user Header param Y Your API username. Please note this is not the same as your web username.
password Header param Y Your API password. Please note this is not the same as your web password.
billToAccountNumber Header param Y This is the full 7 digit bill to account number associated to the airbill and your user/password credentials.
id Path Param Y This will be the full gabs key (origin gateway, airline code, airbill, sequence). If providing the full gabs key, use dashes in the individual parts. Ex. DFW-472-12345678-00

Response

The response for statuses returns an array of statuses

Name Type Description
shipmentId String The GabsKey of the Shipment
waybillNumber String Airbill Number of the Shipment
origin String Origin of the Shipment.
originCity String Origin City
originState String Origin State
originZip String Origin Zip
originCountry String Origin Country
destination String Destination of the Shipment.
destinationCity String Destination City
destinationState String Destination State
destinationZip String Destination Zip
destinationCountry String Destination Country
lastKnownLatitude String Last known lattitude of the Shipment.
lastKnownLongitude String Last known longitude of the Shipment.
lastKnownLocationLocalTime Date Last known locations local time
lastKnownLocationUtcTime Date Last known locations UTC time
lastKnownCity String Last known City of the Shipment.
lastKnownState String Last known State of the Shipment.
lastKnownZip String Last known Zip of the Shipment.
lastKnownCountry String Last known Country of the Shipment.
etaToDestination String Format MM/DD/YY 24HH:mm:ss. This will be the latest estimate of arrival.
scheduledDeliveryFrom String Format MM/DD/YY 24HH:mm:ss. This can be blank unless there is a delivery service.
scheduledDeliveryTo String Format MM/DD/YY 24HH:mm:ss. This can be blank unless there is a delivery service.
isDelayed String This indicates if the shipment is delayed or not (Y/N).

Rest Service response sample for position history

Response json
[
    {
        "shipmentId": "ALB-472-90440614-00",
        "waybillNumber": "90440614",
        "origin": "ALB",
        "originCity": "GLEN MILLS",
        "originState": "PA",
        "originZip": "19342",
        "originCountry": "US",
        "destination": "BDL",
        "destinationCity": "WICHITA",
        "destinationState": "KS",
        "destinationZip": "67207",
        "destinationCountry": "US",
        "lastKnownLatitude": 42.75734,
        "lastKnownLongitude": -73.8115,
        "lastKnownLocationLocalTime": "2026-03-02 13:52:08",
        "lastKnownLocationUtcTime": "2026-03-02 13:52:08",
        "lastKnownCity": "LATHAM",
        "lastKnownState": "NY",
        "lastKnownZip": "12210",
        "lastKnownCountry": "US",
        "etaToDestination": "2026-03-08 17:00:00",
        "scheduledDeliveryFrom": "2026-03-08 14:00:00",
        "scheduledDeliveryTo": "2026-03-08 22:00:00",
        "isDelayed": "N"
    },
    {
        "shipmentId": "ALB-472-90440614-00",
        "waybillNumber": "90440614",
        "origin": "ALB",
        "originCity": "GLEN MILLS",
        "originState": "PA",
        "originZip": "19342",
        "originCountry": "US",
        "destination": "BDL",
        "destinationCity": "WICHITA",
        "destinationState": "KS",
        "destinationZip": "67207",
        "destinationCountry": "US",
        "lastKnownLatitude": 42.75734,
        "lastKnownLongitude": -73.8115,
        "lastKnownLocationLocalTime": "2026-03-02 13:52:08",
        "lastKnownLocationUtcTime": "2026-03-02 13:52:08",
        "lastKnownCity": "LATHAM",
        "lastKnownState": "NY",
        "lastKnownZip": "12210",
        "lastKnownCountry": "US",
        "etaToDestination": "2026-03-08 17:00:00",
        "scheduledDeliveryFrom": "2026-03-08 14:00:00",
        "scheduledDeliveryTo": "2026-03-08 22:00:00",
        "isDelayed": "N"
    }
]

Rest Service response sample for current position

Response json
[
    {
        "shipmentId": "ALB-472-90440614-00",
        "waybillNumber": "90440614",
        "origin": "ALB",
        "originCity": "GLEN MILLS",
        "originState": "PA",
        "originZip": "19342",
        "originCountry": "US",
        "destination": "BDL",
        "destinationCity": "WICHITA",
        "destinationState": "KS",
        "destinationZip": "67207",
        "destinationCountry": "US",
        "lastKnownLatitude": 42.75734,
        "lastKnownLongitude": -73.8115,
        "lastKnownLocationLocalTime": "2026-03-02 13:52:08",
        "lastKnownLocationUtcTime": "2026-03-02 13:52:08",
        "lastKnownCity": "LATHAM",
        "lastKnownState": "NY",
        "lastKnownZip": "12210",
        "lastKnownCountry": "US",
        "etaToDestination": "2026-03-08 17:00:00",
        "scheduledDeliveryFrom": "2026-03-08 14:00:00",
        "scheduledDeliveryTo": "2026-03-08 22:00:00",
        "isDelayed": "N"
    }
]

Back to Top

Last updated 04/01/2026